RDKit: DistGeom::ChiralSet Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DistGeom::ChiralSet Class Reference

Class used to store a quartet of points and chiral volume bounds on them. More...

`#include <ChiralSet.h>`

## Public Member Functions
| ChiralSet (unsigned int pid0, unsigned int pid1, unsigned int pid2, unsigned int pid3, unsigned int pid4, double lowerVolBound, double upperVolBound, std::uint64_t structureFlags=0)
double | getUpperVolumeBound () const
double | getLowerVolumeBound () const

## Public Attributes
unsigned int | d_idx0
unsigned int | d_idx1
unsigned int | d_idx2
unsigned int | d_idx3
unsigned int | d_idx4
double | d_volumeLowerBound
double | d_volumeUpperBound
std::uint64_t | d_structureFlags

## Detailed Description

Class used to store a quartet of points and chiral volume bounds on them.

Definition at line 29 of file ChiralSet.h.

## Constructor & Destructor Documentation

## ◆ ChiralSet()

DistGeom::ChiralSet::ChiralSet | ( | unsigned int | pid0,
|  | unsigned int | pid1,
|  | unsigned int | pid2,
|  | unsigned int | pid3,
|  | unsigned int | pid4,
|  | double | lowerVolBound,
|  | double | upperVolBound,
|  | std::uint64_t | structureFlags = 0 )
| inline

Definition at line 41 of file ChiralSet.h.

References CHECK_INVARIANT, d_idx0, d_idx1, d_idx2, d_idx3, d_idx4, d_structureFlags, d_volumeLowerBound, and d_volumeUpperBound.

## Member Function Documentation

## ◆ getLowerVolumeBound()

double DistGeom::ChiralSet::getLowerVolumeBound | ( |  | ) | const
| inline

Definition at line 59 of file ChiralSet.h.

References d_volumeLowerBound.

## ◆ getUpperVolumeBound()

double DistGeom::ChiralSet::getUpperVolumeBound | ( |  | ) | const
| inline

Definition at line 57 of file ChiralSet.h.

References d_volumeUpperBound.

## Member Data Documentation

## ◆ d_idx0

unsigned int DistGeom::ChiralSet::d_idx0

Definition at line 31 of file ChiralSet.h.

Referenced by ChiralSet().

## ◆ d_idx1

unsigned int DistGeom::ChiralSet::d_idx1

Definition at line 32 of file ChiralSet.h.

Referenced by ChiralSet().

## ◆ d_idx2

unsigned int DistGeom::ChiralSet::d_idx2

Definition at line 33 of file ChiralSet.h.

Referenced by ChiralSet().

## ◆ d_idx3

unsigned int DistGeom::ChiralSet::d_idx3

Definition at line 34 of file ChiralSet.h.

Referenced by ChiralSet().

## ◆ d_idx4

unsigned int DistGeom::ChiralSet::d_idx4

Definition at line 35 of file ChiralSet.h.

Referenced by ChiralSet().

## ◆ d_structureFlags

std::uint64_t DistGeom::ChiralSet::d_structureFlags

Initial value:
=
0

Definition at line 38 of file ChiralSet.h.

Referenced by ChiralSet().

## ◆ d_volumeLowerBound

double DistGeom::ChiralSet::d_volumeLowerBound

Definition at line 36 of file ChiralSet.h.

Referenced by ChiralSet(), and getLowerVolumeBound().

## ◆ d_volumeUpperBound

double DistGeom::ChiralSet::d_volumeUpperBound

Definition at line 37 of file ChiralSet.h.

Referenced by ChiralSet(), and getUpperVolumeBound().

The documentation for this class was generated from the following file:

- ChiralSet.h